//JEI Recipes
onEvent('jei.information', event => {
	event.add('kubejs:netherrack_dust', ['A basic wand or better can be used on netherrack blocks to make netherrack dust'])
	event.add('minecraft:warped_fungus', ['A basic wand or better can be used on warped wart blocks to make warped fungus'])
	event.add('minecraft:crimson_fungus', ['A basic wand or better can be used on nether wart blocks to make crimson fungus'])
	event.add('minecraft:soul_campfire', ['A basic wand or better can be used to set fire to soul sand, your wand can then transform soul fire into a soul campfire. This will do 3 hearts of damage to you!'])
	event.add('minecraft:bone', ['A basic wand or better can be used on a bone block to make bones'])
	event.add('tconstruct:crafting_station', ['A basic wand or better can be used on a crafting table to make a crafting station'])
	event.add('minecraft:blackstone', ['A advanced wand or better can be used on soul sandstone to make blackstone'])
	event.add('minecraft:dirt', ['A advanced wand or better can be used on inchor slimy dirt to make dirt'])
	event.add('minecraft:flint', ['A advanced wand or better can be used on gravel to make flint'])
	event.add('minecraft:magma_cream', ['A advanced wand or better can be used on magma block to make magma cream'])
	event.add('minecraft:stone', ['A quartz cobalt wand or better can be used on seared stone block to make stone'])
	event.add('minecraft:bucket', ['A quartz cobalt wand or better can be used on a hopper to make a bucket'])
	event.add('minecraft:white_wool', ['A quartz cobalt wand or better can be used on a quartz block to make wool'])
	event.add('psi:psigem', ['Trading a diamond with a blaze will give you a psigem'])
	event.add('psi:psimetal', ['Trading a gold ingot with a blaze will give you a psi metal ingot'])
	event.add('psi:programmer', ['Trading a altar with a blaze will give you a spell programer'])
	event.add('psi:cad_assembler', ['Trading a crafting station with a blaze will give you a rod constructor'])

});

onEvent('item.tooltip', event => {
	event.add('kubejs:battleaxe', [Text.of('Near instant destruction of blocks that can be broken with a axe. Also deals good damage')])
	event.add('kubejs:pink_sword', [Text.of('High damge sword')])
	event.add('kubejs:stick', [Text.of('"Also you can do what you want with the stick" Paul')])
	event.add('kubejs:instant_health_stew', [Text.of('Fully restores your health')])
	event.add('kubejs:regeneration_stew', [Text.of('Gives regeneration III for a short period of time').colour(blue)])

	Item.of('minecraft:golden_helmet', {RepairCost:1,AS_Amulet_Holder:[1109753370,2103592887,-2023103023,62750564],Damage:0,Enchantments:[{lvl:1,id:"astralsorcery:night_vision"}]})


})
//JEI Hide
onEvent(['jei.hide.items', 'rei.hide.items'], event => {

function tool(type){
    event.hide('/minecraft:' + type + '_sword/')
    event.hide('/minecraft:' + type + '_pickaxe/')
    event.hide('/minecraft:' + type + '_axe/')
    event.hide('/minecraft:' + type + '_hoe/')
    event.hide('/minecraft:' + type + '_shovel/')}
tool('wooden')
tool('stone')
tool('golden')
tool('diamond')
tool('iron')
tool('netherite')
event.hide('immersive_portals:portal_helper')
event.hide('skyblockbuilder:structure_saver')
event.hide('custommachinery:machine_creator_item')
event.hide('custommachinery:box_creator_item')
event.hide(['occultism:copper_ore', 'occultism:copper_nugget', 'occultism:copper_block', 'occultism:copper_ingot'])

})

//JEI Add
onEvent('jei.add.items', e => {
	e.add([
  	'minecraft:dragon_egg',
	Item.of('minecraft:leather_chestplate', {AS_Amulet_Holder:[1109753370,2103592887,-2023103023,62750564],Damage:0,AttributeModifiers:[{Slot:"chest",AttributeName:"generic.max_health",UUID:[-121530,35539,16285,-71078],Amount:-18,Name:"generic.max_health"},{Slot:"chest",AttributeName:"generic.movement_speed",UUID:[-121530,35639,16285,-71278],Amount:0.1,Name:"generic.movement_speed"}],display:{Lore:[[{"text":"When worn reduces max health, grants night vision and increased movment speed when worn","italic":false}]],Name:"[{\"text\":\"Runic Tunic\",\"italic\":false}]"},Enchantments:[{lvl:1,id:"protection"}]}),
	Item.of('versatileportals:existing_world_control', {RepairCost:0,WorldID:"infernopolis:ghast_lands",display:{Name:"{\"text\":\"Ghast Lands Gem\"}"},Color:11943875}),
	Item.of('versatileportals:existing_world_control', {RepairCost:0,WorldID:"infernopolis:nether_islands",display:{Name:"{\"text\":\"Nether Islands Gem\"}"},Color:13772502}),
	Item.of('versatileportals:existing_world_control', {RepairCost:0,WorldID:"infernopolis:seaopolis",display:{Name:"{\"text\":\"Seaopolis Gem\"}"},Color:7308118}),
	Item.of('versatileportals:existing_world_control', {WorldID:"infernopolis:the_missing_world",display:{Name:"{\"text\":\"Missing World Gem\"}"},Color:9531362}),
	Item.of('versatileportals:existing_world_control', {display:{Name:"{\"text\":\"End Gem\"}"},Color:13024191,WorldID:"minecraft:the_end"}),
	Item.of('versatileportals:existing_world_control', {RepairCost:0,WorldID:"minecraft:overworld",display:{Name:"{\"text\":\"The Overworld?\"}"},Color:3669742})
    ]);
});
